Subject: Re: [PATCH] send-email: do not check for editor until needed

From: Jonathan Nieder <[email-masked]>
Date: Tue, 23 Mar 2010 14:25:57 -0500

Peter Kjellerstedt wrote:

> Shouldn't that be:
> 	if ($#_ == -1) {
> 		return;
> 	}
> or more readable:
> 	return if (!@_);

Probably. :)

> as I assume you are trying to protect do_edit() from being called 
> without arguments?

I tested out Michael J Gruber’s simpler patch and it both makes sense
and works fine, so I’d suggest going with it instead.

Still, thanks for the comments.  It is good to know what I need to
learn.

Regards,
Jonathan